List customers

GEThttps://api.getstarted.ae/v1/customers

Returns customers in reverse creation order.

Query parameters

  • externalReferencestring

    Return only the customer with this reference.

  • limitinteger

    Page size, 1 to 100. Defaults to 25.

  • cursorstring

    The nextCursor value from the previous page.

Responses

  • 200OK. Returns the object shown in the example.
  • Every endpoint can also return 401 for a missing or invalid key. See Errors.
curl -X GET "https://api.getstarted.ae/v1/customers" \
  -H "Authorization: Bearer $GETSTARTED_API_KEY"
Response · 200
{
  "object": "list",
  "data": [
    {
      "id": "cus_01J9ZK4R7Q2M8X",
      "object": "customer",
      "name": "Northwind Labs",
      "email": "ops@northwindlabs.com",
      "externalReference": "acct_48213",
      "metadata": {
        "plan": "growth"
      },
      "livemode": false,
      "createdAt": "2026-09-20T08:14:22Z"
    }
  ],
  "hasMore": false,
  "nextCursor": null
}